Skip to main content
POST
/
lkbx
/
session
/
current
curl --request POST \
  --url https://dashboard.researchanddesire.com/api/v1/lkbx/session/current \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "lock",
  "lockSettingsId": 3,
  "keyholderIds": [
    100,
    101
  ]
}
'
{
  "ok": true,
  "data": {
    "message": "Lock session completed"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.researchanddesire.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API tokens can be created in the Dashboard settings. Requires an Ultra subscription.

Body

application/json
action
enum<string>
required

Action to perform

Available options:
lock,
unlock
lockSettingsId
integer

Lock template ID (for lock action)

keyholderIds
integer[]

User IDs to assign as keyholders (for lock action). All IDs must be users you have access to.

targetUserId
integer

User to lock/unlock (defaults to authenticated user). Must be a user you have access to.

isTestLock
boolean

Override test lock setting from template. When true, the lock owner can unlock without a keyholder. Only used with lock action.

Response

Lock session completed

ok
boolean
required
data
object
required